Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 237462 - app-office/abiword-plugins-2.6.4 - USE="jabber -cxx" usage unclear
Summary: app-office/abiword-plugins-2.6.4 - USE="jabber -cxx" usage unclear
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High minor (vote)
Assignee: GNOME Office (OBSOLETE)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-12 11:01 UTC by Pierre
Modified: 2009-09-08 11:38 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log file (build.log,883 bytes, text/plain)
2008-09-12 11:03 UTC, Pierre
Details
die.env file (die.env,144.62 KB, text/plain)
2008-09-12 11:03 UTC, Pierre
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre 2008-09-12 11:01:54 UTC
# emerge --update --ask --deep --newuse world

These are the packages that would be merged, in order:

Calculating world dependencies... done!
[ebuild   R   ] app-office/abiword-plugins-2.6.4  USE="-cxx*" 

Would you like to merge these packages? [Yes/No] 
>>> Verifying ebuild Manifests...

>>> Emerging (1 of 1) app-office/abiword-plugins-2.6.4 to /
 * abiword-plugins-2.6.4.tar.gz RMD160 SHA1 SHA256 size ;-) ...                                                                                                  [ ok ]
 * abiword-2.6.4.tar.gz RMD160 SHA1 SHA256 size ;-) ...                                                                                                          [ ok ]
 * checking ebuild checksums ;-) ...                                                                                                                             [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                                            [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                                           [ ok ]
 * checking abiword-plugins-2.6.4.tar.gz ;-) ...                                                                                                                 [ ok ]
 * checking abiword-2.6.4.tar.gz ;-) ...                                                                                                                         [ ok ]
 * AbiCollab needs dev-libs/boost to be build
 * 
 * ERROR: app-office/abiword-plugins-2.6.4 failed.
 * Call stack:
 *                      ebuild.sh, line   49:  Called pkg_setup
 *   abiword-plugins-2.6.4.ebuild, line   61:  Called die
 * The specific snippet of code:
 *   		die "Add USE=\"cxx\" to build AbiCollab plugin"
 *  The die message:
 *   Add USE="cxx" to build AbiCollab plugin
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-office/abiword-plugins-2.6.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-office/abiword-plugins-2.6.4/temp/die.env'.
 * 

 * Messages for package app-office/abiword-plugins-2.6.4:

 * AbiCollab needs dev-libs/boost to be build
 * 
 * ERROR: app-office/abiword-plugins-2.6.4 failed.
 * Call stack:
 *                      ebuild.sh, line   49:  Called pkg_setup
 *   abiword-plugins-2.6.4.ebuild, line   61:  Called die
 * The specific snippet of code:
 *   		die "Add USE=\"cxx\" to build AbiCollab plugin"
 *  The die message:
 *   Add USE="cxx" to build AbiCollab plugin
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-office/abiword-plugins-2.6.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-office/abiword-plugins-2.6.4/temp/die.env'.
 *
Comment 1 Pierre 2008-09-12 11:03:13 UTC
Created attachment 165255 [details]
build.log file
Comment 2 Pierre 2008-09-12 11:03:57 UTC
Created attachment 165257 [details]
die.env file
Comment 3 Pierre 2008-09-12 11:05:28 UTC
What is strange is that the system thinks it is installed :

# emerge -u abiword-plugins
Calculating dependencies... done!
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.


so I don't understand why it always come back in the emerge world
Comment 4 Pierre 2008-09-12 11:07:43 UTC
# emerge --info
Portage 2.1.4.4 (default-linux/amd64/2007.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25-gentoo-r7 x86_64)
=================================================================
System uname: 2.6.25-gentoo-r7 x86_64 Intel(R) Core(TM)2 CPU T5500 @ 1.66GHz
Timestamp of tree: Fri, 12 Sep 2008 09:45:05 +0000
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.4.4-r13, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.ovh.net/gentoo-distfiles/ "
LANG="fr_FR.UTF-8"
LC_ALL="fr_FR.UTF-8"
LINGUAS="fr en de nl"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acl acpi aim alsa amd64 ao apache2 apm arts audiofile bash-completion berkdb bzip2 cairo cdparanoia cdr cjk cli cracklib crypt cups curl dbus dga directfb doc dri dvd dvdr dvdread emacs encode esd exif expat ffmpeg firefox flac foomaticdb fortran ftp gb gcj gd gdbm ggi gif gmp gnome gnutls gpm gstreamer gtk hal iconv icq idn imagemagick imap imlib ipv6 isdnlog jabber jack javascript jpeg jpeg2k kde ladspa lash lcms ldap leim lesstif libcaca libnotify libsamplerate libwww lm_sensors mad maildir matroska mbox mcal midi mikmod mime mmx mng mozilla mp3 mpeg mplayer msn mudflap musepack musicbrainz mysql mysqli nas ncurses nls nntp nptl nptlonly nsplugin ogg openal opengl openmp osc oscar pam pcmcia pcre pdf perl php png posix pppd python qt3 qt4 quicktime readline reflection samba sdl session sndfile sox speex spell spl sqlite sse sse2 ssl startup-notification svg symlink tcl tcpd tetex theora threads tidy tiff tk truetype unicode usb vhosts vorbis wifi wmf wxwindows xcomposite xine xml xorg xpm xprint xscreensaver xv xvid yahoo zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="fr en de nl" USERLAND="GNU" VIDEO_CARDS="nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LDFLAGS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2008-09-13 15:39:40 UTC
Apparently you shouldn't combine USE="jabber -cxx":

abiword-plugins-2.6.4.ebuild:   if use jabber && ! use cxx; then
abiword-plugins-2.6.4.ebuild:           die "Add USE=\"cxx\" to build AbiCollab plugin"

Maybe the phrasing needs to clarify that this USE flag combination is wrong.
Comment 6 Pierre 2008-10-04 15:53:51 UTC
Ok but as you can see I only use "jabber" from my USE flags, I never specified anything about the "cxx" flags
Comment 7 Pierre 2008-10-05 10:31:31 UTC
I tried to add "cxx" to my USE flags and it seems to make the probleme disappear

the emerge world is now clean.

this is strange anyway...
Comment 8 Gilles Dartiguelongue gentoo-dev 2008-10-05 11:37:55 UTC
From the ebuild:

   Add USE="cxx" to build AbiCollab plugin

because you have the jabber use flag, abiword-plugins wants to enable abicollab plugin which is a collaborative editing plugin. This plugins needs c++. What else should I make the ebuild say ???